# Индивидуальное контрольное задание

## 1

## 2
s = "Напишите инструкции, обеспечивающие подсчет числа букв (без запятой, скобок и пробелов) в данном предложении."
s = s.replace(',', '')
s = s.replace('(', '')
s  = s.replace(')', '')
s  = s.replace(' ', '')
lc = len(s)
e = 'В предложении %d букв'
kol = 82
print(e % kol)

## 3
num = 2345
print('Двочиное представление: ', bin(num))
print('Восьмеричное: представление: ', oct(num))
print('Шестнадцатеричное: представление: ', hex(num))
print(type(num))
print(dir(num))
kol_raz = len(bin(num)) - 2 
print('Число разрядов в двоичном представлении: ', kol_raz)

## 4
d = {-45, 78, 90, -3, 56}
print(type(d))
attrib =  tuple(dir(d))
print('Атрибуты: ', attrib)
pr = 'clear' in dir(attrib)
print(pr)

## 5
print('Сумма элементов= ', sum(d))
